package com.nisum.product_consumer.controller;

import com.nisum.product_consumer.dto.ProductDto;
import com.nisum.product_consumer.service.ProductConsumerService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import reactor.core.publisher.Flux;

@RestController
@RequestMapping("/ProductConsumer")
public class ProductConsumerController {

    @Autowired
    private ProductConsumerService productConsumerService;

    @GetMapping("/fetchAllProducts")
    public ResponseEntity<Flux<ProductDto>> fetchAllProducts(){
        return ResponseEntity.ok(productConsumerService.getAllProductsFromProducer());
    }
}
